Projects
List Project Data Definition Tags
List the project’s data definition tags.
GET
/
v1
/
projects
/
{project_id}
/
data-definition-tags
List Project Data Definition Tags
curl --request GET \
--url https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "<string>",
"name": "<string>",
"entity_count": 123
}
],
"pagination": {
"previous_cursor": "<string>",
"next_cursor": "<string>"
}
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"detail": "<string>",
"error_id": "<string>",
"errors": [
{
"type": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"ctx": {}
}
]
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"detail": "<string>",
"error_id": "<string>"
}Closed Beta
Available to a limited set of invited customers. Contact your account team to join. The request and response contract may change before general availability (GA).
Available to a limited set of invited customers. Contact your account team to join. The request and response contract may change before general availability (GA).
Authorizations
This endpoint uses Service Account authentication.
Headers
Optional date-based API version pin.
If omitted, the request is served by the latest API version, and the caller accepts that a future release may introduce a breaking change to the response contract. If set to a supported version date, that version's contract is honored and will not receive a breaking change.
Path Parameters
The unique identifier for the project.
Query Parameters
Items per page.
Required range:
1 <= x <= 1000Previous or next cursor used to paginate.
Sort order: 'asc' or 'desc'.
Available options:
asc, desc Sort by tag name, or by entity count with ties broken by name.
Available options:
name, entity_count Was this page helpful?
List Project Data Definition Tags
curl --request GET \
--url https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-us.mixpanel.com/v1/projects/{project_id}/data-definition-tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "<string>",
"name": "<string>",
"entity_count": 123
}
],
"pagination": {
"previous_cursor": "<string>",
"next_cursor": "<string>"
}
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"detail": "<string>",
"error_id": "<string>",
"errors": [
{
"type": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"ctx": {}
}
]
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"detail": "<string>",
"error_id": "<string>"
}